# Class CIM_AllocationCapabilities
extends CIM_Capabilities

CIM_AllocationCapabilities extends the CIM_Capabilities class for the purposes of expressing the resource allocation capabilities of the associated managed element for the allocation of a specific Resource Type. This class describes the supported types of allocations allowed, specific or general, the sharing modes supported for the device, dedicated and or shared and the system states where the addition or removal of the Resource Type is allowed.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_AllocationCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

CIM_AllocationCapabilities extends the CIM_Capabilities class for the purposes of expressing the resource allocation capabilities of the associated managed element for the allocation of a specific Resource Type. This class describes the supported types of allocations allowed, specific or general, the sharing modes supported for the device, dedicated and or shared and the system states where the addition or removal of the Resource Type is allowed.

UMLPackagePath | string | CIM::Core::Capabilities
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherResourceType | string |
Description | string | A string that describes the resource type when a well defined value is not available and ResourceType has the value "Other".
ModelCorrespondence | string | CIM_ResourceAllocationSettingData.ResourceType
RequestTypesSupported | uint16 |
Description | string | Indicates whether requesting a specific resource is supported "Specific" -- request can include a request for specific resource "General" -- request does not include specific resource "Both" -- both specific and general requests are supported.
ValueMap | string | 0, 2, 3, 4, .., 0x8000..0xFFFF
Values | string | Unknown, Specific, General, Both, DMTF reserved, Vendor Reserved
ResourceSubType | string |
Description | string | A string describing an implementation specific sub-type for this resource. For example, this may be used to distinguish different models of the same resource type.
ResourceType | uint16 |
Description | string | The type of resource this allocation setting represents.
ModelCorrespondence | string | CIM_AllocationCapabilities.OtherResourceType, CIM_ResourceAllocationSettingData.ResourceType
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, .., 0x8000..0xFFFF

Values

string

Other, Computer System, Processor, Memory, IDE Controller, Parallel SCSI HBA, FC HBA, iSCSI HBA, IB HCA, Ethernet Adapter, Other Network Adapter, I/O Slot, I/O Device, Floppy Drive, CD Drive, DVD drive, Disk Drive, Tape Drive, Storage Extent, Other Storage Device, Serial port, Parallel port, USB Controller, Graphics controller, IEEE 1394 Controller, Partitionable Unit, Base Partitionable Unit, Power, Cooling Capacity, Ethernet Switch Port, Logical Disk, Storage Volume, Ethernet Connection, DMTF reserved, Vendor Reserved

SharingMode | uint16 |
Description | string | Indicates how access to underlying resource is granted: "Dedicated" -- exclusive access to underlying resource "Shared" -- shared use of underlying resource. Actual quantity is controlled by min, max size, weights, etc.
ValueMap | string | 0, 1, 2, 3, .., 0x8000..0xFFFF
Values | string | Unknown, Other, Dedicated, Shared, DMTF reserved, Vendor Reserved
SupportedAddStates | uint16[] |
Description | string | Indicates the states that the System, to which the resource will be associated via SystemDevice, may be in when a new resource is created.
ModelCorrespondence | string | CIM_EnabledLogicalElement.EnabledState
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, .., 0x8000..0xFFFF
Values | string | Unknown, Other, Enabled, Disabled, Shutting Down, Not Applicable, Enabled but Offline, In Test, Deferred, Quiesce, Starting, Paused, Suspended, DMTF Reserved, Vendor Reserved
SupportedRemoveStates | uint16[] |
Description | string | Indicates the states that the System, to which the resource is associated via SystemDevice, may be in when a the resource is removed .
ModelCorrespondence | string | CIM_EnabledLogicalElement.EnabledState
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, .., 0x8000..0xFFFF
Values | string | Unknown, Other, Enabled, Disabled, Shutting Down, Not Applicable, Enabled but Offline, In Test, Deferred, Quiesce, Starting, Paused, Suspended, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods